/*  $Id: timehash.h,v 1.9 2000/09/01 10:29:40 rra Exp $
**
**  timehash based storing method header
*/

#ifndef __TIMEHASH_H__
#define __TIMEHASH_H__

#include "config.h"
#include "interface.h"

BOOL timehash_init(BOOL *selfexpire);
TOKEN timehash_store(const ARTHANDLE article, const STORAGECLASS class);
ARTHANDLE *timehash_retrieve(const TOKEN token, const RETRTYPE amount);
ARTHANDLE *timehash_next(const ARTHANDLE *article, const RETRTYPE amount);
void timehash_freearticle(ARTHANDLE *article);
BOOL timehash_cancel(TOKEN token);
BOOL timehash_ctl(PROBETYPE type, TOKEN *token, void *value);
BOOL timehash_flushcacheddata(FLUSHTYPE type);
void timehash_shutdown(void);

#endif
